### Method

# GimpUi ResourceChooser set_resource

since: 3.0

#### Declaration [src]

    void
    gimp_resource_chooser_set_resource (
      GimpResourceChooser* chooser,
      GimpResource* resource
    )

#### Description [src]

Sets the currently selected resource. This will select the resource in both the button and any chooser popup.

Available since: 3.0

Sets property | `GimpUi.ResourceChooser:resource`

#### Parameters

`resource`

  Type: `GimpResource`

  Resource to set.

  The data is owned by the caller of the method.